# $Revision: 1.14 $, $Date: 2008/07/27 22:42:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Big
Summary:	Math::Big - useful routines and packages with Math::BigInt/BigFloat
Summary(pl.UTF-8):	Math::Big - przydatne funkcje i pakiety oparte o Math::BigInt/BigFloat
Name:		perl-Math-Big
Version:	1.12
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5782c961f405e04c2bf1bcde309c24d2
URL:		http://search.cpan.org/dist/Math-Big/
BuildRequires:	perl-Math-BigInt >= 1.74
BuildRequires:	perl(Math::BigFloat) >= 1.48
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.74
Requires:	perl(Math::BigFloat) >= 1.48
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Big module contains some routines that may come in handy when
you want to do some math with really, really big (or small) numbers.

%description -l pl.UTF-8
Moduł Math::Big zawiera trochę procedur, które mogą okazać się pomocne
przy obróbce bardzo, bardzo dużych (lub małych) liczb.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BENCHMARK BUGS CHANGES CREDITS LICENSE NEW README TODO
%{perl_vendorlib}/Math/Big.pm
%{perl_vendorlib}/Math/Big
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.txt
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Big.spec,v $
Revision 1.14  2008/07/27 22:42:16  arekm
- release 2

Revision 1.13  2007-05-27 14:25:28  qboosh
- generic URL

Revision 1.12  2007/05/27 13:27:51  agaran
- up to 1.12, rel 1, builds here

Revision 1.11  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.9  2005/01/05 18:53:25  qboosh
- updated deps acc. to Makefile.PL, grepable files

Revision 1.8  2005/01/03 12:09:50  adamg
- updated to 1.11

Revision 1.7  2004/11/03 22:30:33  paladine
- formatting

Revision 1.6  2004/08/21 21:14:35  adamg
- updated to 1.10

Revision 1.5  2004/05/06 18:43:15  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.3  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.2  2004/01/24 23:18:43  arekm
- autoupdated to 1.09

Revision 1.1  2003/06/29 00:18:39  qboosh
- new
